Returns a list of unique values used in permission groups for a particular tenant/scope/domain

Permission Level: Read

GET /users/permissiongroups

Operation id: PermissionService_GetUniquePermissionGroups

Tags: PermissionService

Parameters

Query parameters

NameTypeRequiredDescription
domainstringNodomain of the permissions, Required: false
scopestringNoscope of the permissions, Required: false
tenantIdstringNotenant of the permission groups to list, Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
groupIdsarrayNo
{
  "type": "object",
  "properties": {
    "groupIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}